Skip to main content

Approve Bootstrap

Required role: write or higher.

Approves the pipeline to proceed with bootstrapping.

This endpoint is used when a pipeline has been started with bootstrap_policy=await_approval, it is resuming from an existing checkpoint, but the pipeline has been modified since the checkpoint was made and is currently in the AwaitingApproval state awaiting user approval to proceed with bootstrapping.

Path Parameters
pipeline_name string REQUIRED

Unique pipeline name

Query Parameters
silent_bootstrap boolean

Bootstrap the pipeline with output connectors disabled.

concurrent_bootstrap boolean

Bootstrap new and modified views concurrently, keeping the pre-existing views live while the new ones backfill. Mutually exclusive with silent_bootstrap.

Responses
200

Bootstrap approved

Schema OPTIONAL
string
400

Bootstrap options are mutually inconsistent

Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

404

Pipeline with that name does not exist

Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

500
Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

503
Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.